Description

Supportanfrage

In https://support.digitalwerk.net/adtf/v3/guides/tutorial_filter_signal.html

im Listing für den Header, folgend auf: "We finished creating the header file. Here is the header file for the

cTutorialFilterSignalProvider. "...

ist ein fehlerhaftes " in diesen Zeilen:

//...

object_ptr"<ISignalRegistry::ISignalProvider> m_pProvider;

// ...

std::unordered_set"<ISignalRegistry::tSignalID> m_oEnabledSignals;

 Lösung

Wird in der Lieferung zu ADTF 3.4.0 überarbeitet sein

History

#1 - 2018-11-13 12:27 - hidden

- Project changed from Public Support to 20

- Status changed from New to In Progress

- Topic set to ADTF::Doc

Hallo Lukas,

das ist korrekt, vielen Dank !

@Volker: Kannst du das gleich beim Rework für ADTF 3.4 mitmachen, sofern noch enthalten ?

#2 - 2018-11-13 14:11 - hidden

Hallo Florian, Hallo Digitalwerker :)

wir haben grade einen Kollegen an die Tutorials gesetzt und es purzeln nur so die Fehler - sollen wir alles hier sammeln oder einzelene Tickets

machen?

auf mehreren Seiten wird folgendes gezeigt:

add_custom_command(TARGET ${HELLO_WORLD_FILTER} POST_BUILD COMMAND ${ADTF_DIR}/bin/adtf_plugin_description_generator.exe

--plugins=$<TARGET_FILE:${HELLO_WORLD_FILTER}>)

die Syntax für den description generator hat sich wohl geändert, ohne dass die Dokumentation dazu angepasst wurde, richtig wäre in etwa:

add_custom_command(TARGET ${HELLO_WORLD_FILTER} POST_BUILD COMMAND ${ADTF_DIR}/bin/adtf_plugin_description_generator.exe

-plugin=$<TARGET_FILE:${HELLO_WORLD_FILTER}>)

#3 - 2018-11-14 11:25 - hidden
https://support.digitalwerk.net/adtf/v3/guides/tutorial_filter_signal.html


Danke für das Feedback, wir sind gerade dabei die Guides für die neue Version zu überarbeiten und werden die identifizierten Stellen gleich mit

korrigieren.

#4 - 2018-11-15 09:46 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo zusammen,

vielen Dank für die Hinweise, natürlich sind wir offen für Feedback.

PS: Der custom command soll komplett entfallen, dafür gibt es einen eigenen Command adtf_create_plugindescription, siehe ADTF 3 Plugin

Description Generator

Die Examples nutzen das schon, die Guides, die bisher nur ein Protoytpenversuch waren aber auf positives Feedback gestoßen sind, werden aktuell

dahingehend überarbeitet und wandern zu ADTF 3.4.0 ins Produkt.

Wenn ihr also weitere Infos hierzu habt, gerne her damit, dann können wir abgleichen, ob das schon erledigt ist, noch so vorhanden ist oder...

Ansonsten würde ich das Ticket an dieser Stelle abschließen.

Ggf. empfiehlt es sich auch, auf die 3.4.0 zu warten, je nachdem wie weiter der Kollege schon ist.

#5 - 2018-11-15 11:20 - hidden

Wegen uns könnt ihr gerne das Ticket schließen. Es ging nur darum, die Infos zurückfließen zu lassen. In dem Fall war eine "Lösung" nicht nötig.

Von unserer Seite finden wir diese Tutorials super, wenn ihr evtl die Listings zusätzlich auch zum Download anbieten könntet, wäre das auch noch

sehr hilfreich. Wir hatten auch noch weitere Probleme mit den Tutorials, aber wir werden dann hier erst mit den aktualisierten Tutorials weiter

arbeiten.

Besten Dank euch allen :)

#6 - 2018-11-15 12:01 - hidden

- Project changed from 20 to Public Support

- Subject changed from Tippfehler ADTF3 Tutorial/Doku to Typos in ADTF3 Tutorial/Doku

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Solved Issue

#8 - 2018-12-04 13:59 - hidden

- Status changed from To Be Closed to Closed

#9 - 2019-01-29 17:26 - hidden

- Description updated
